Package picard.illumina.parser

# Class ReadData

java.lang.Object
picard.illumina.parser.ReadData

public class ReadData extends Object
Data for a single end of a paired-end read, a barcode read, or for the entire read if not paired end.

## Constructor Summary

Constructors
Constructor
Description
`ReadData()`
`ReadData(ReadType readType)`

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`getBases()`
`byte[]`
`getQualities()`
`ReadType`
`getReadType()`
`void`
`setBases(byte[] bases)`
`void`
`setQualities(byte[] qualities)`
`void`
`setReadType(ReadType readType)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ReadData

public ReadData()

### ReadData

public ReadData(ReadType readType)

## Method Details

### getBases

public byte[] getBases()

Returns:
  ASCII byte representation of bases.

### setBases

public void setBases(byte[] bases)

### getQualities

public byte[] getQualities()

Returns:
  Phred-binary scaled qualities. E.g. Q20 is the byte with value==20.

### setQualities

public void setQualities(byte[] qualities)

### getReadType

public ReadType getReadType()

### setReadType

public void setReadType(ReadType readType)